Subject: Re: URN Registration for DVB

From: [email-masked]
Date: Wed, 1 Mar 2006 15:34:51 -0500 (EST)

Please let us know whether this draft has been corrected and resent to us?
If not please resend. Thank you.

>
> I'm not seeing this in the I-D repository.  Please
> confirm (to the urn-nid list) when that's been
> taken care of!
>
> Leslie.
>
>
> Mac Avock, Peter wrote:
>> Dear IETF Colleagues,
>>
>> Find attached a request of URN registration for Digital Video Broadcast
>> Project (DVB) according to the process described in RFC 3406.
>>
>> Should further Information be required please do not hesitate to contact
>> us.
>> Further information on the DVB Project can be accessed on www.dvb.org.
>>
>> Yours faithfully,
>>
>> Peter MacAvock
>>
>> Digital Video Broadcasting - D V B
>> c/o EBU, 17a Ancienne Route,
>> CH-1218 Grand Saconnex (GE),
>> Switzerland.
>> Tel: +41 22 717 2717
>> Fax: +41 22 717 2727
>> E-mail: [email-masked]
>> URL: http://www.dvb.org; http://www.mhp.org; http://www.dvb-h-online.org
>>
>>
>>
>>
>> **********************************************************************
>>  This email and any files transmitted with it are confidential and
>> intended solely for the use of the individual or entity to whom they
>> are addressed. If you have received this email in error please notify
>> the system manager.
>>
>> **********************************************************************
>>
>>
>>
>>
>> ------------------------------------------------------------------------
>>
>>
>>
>>
>>
>>
>> Network Working Group                                           P.
>> MacAvock
>> Request for Comments: XXXX                                   		DVB
>> Category: Informational                                   September 2005
>>
>>
>>             A Uniform Resource Name (URN) Namespace for the
>>                   Digital Video Broadcasting Project (DVB)
>>
>> Status of this Memo
>>
>>    This memo provides information for the Internet community.  It does
>>    not specify an Internet standard of any kind.  Distribution of this
>>    memo is unlimited.
>>
>> Copyright Notice
>>
>>    Copyright (C) The Internet Society (2003).  All Rights Reserved.
>>
>> Abstract
>>
>>    This document describes a Uniform Resource Name (URN) namespace for
>>    the Digital Video Broadcasting Project (DVB) for naming persistent
>>    resources as part of the DVB standards.  Example resources include
>>    technical documents and specifications, eXtensible Markup Language
>>    (XML) Schemas, classification schemes, XML Document Type Definitions
>>    (DTDs), namespaces, style sheets, media assets, and other types of
>>    resources produced or managed by DVB.
>>
>> 1.  Introduction
>>
>>    The Digital  Video Broadcasting  Project (DVB)  is an  industry-led
>>    consortium  of  over   270  broadcasters,  manufacturers,   network
>>    operators, software developers,  regulatory bodies  and  others  in
>>    over  35 countries  committed  to  designing global  standards  for
>>    the global   delivery of   digital television   and  data services.
>>    Services using DVB standards are available on every continent  with
>>    more  than  110  million  DVB  receivers  deployed.  For    country
>>    -by-country information you can visit the section on DVB Worldwide.
>>
>>    DVB would like to assign unique, permanent, location-independent
>>    names based on URNs for some resources it produces or manages.
>>
>>    This namespace specification is for a formal namespace.
>>
>>
>>
>>
>>
>> Heuer                        Informational                      [Page 1]
>> 
>> RFC XXXX                 URN Namespace for DVB           September 2005
>>
>>
>> 2.  Specification Template
>>
>>    Namespace ID:
>>
>>       "dvb"
>>
>>    Registration Information:
>>
>>       Version: 1
>>       Date: 2005-08-22
>>
>>    Declared registrant of the namespace:
>>
>>       Name:           Peter MacAvock
>>       Title:          Executive Director, DVB Project Office
>>       Affiliation:    DVB Digital Video Broadcasting
>>       Address:        l'Ancienne Route, 17a,
>>                       CH-1218 Grand Saconnex (GE), Switzerland
>>       Phone:          +41 22 717 2719
>>       Email:          [email-masked]
>>
>>    Declaration of structure:
>>
>>       URNs assigned by DVB will have the following hierarchical
>>       structure based on the organizational structure of the DVB
>>       standards:
>>
>>          urn:dvb:{standard name}:{assigned US-ASCII string}
>>
>>       where "{standard name}" is a US-ASCII string that conforms to URN
>>       Syntax requirements ([RFC2141]) and corresponds to the name of an
>>       DVB standard such as "ipdc", "ipi", and
>>
>>       "{assigned US-ASCII string}" is a US-ASCII string that conforms to
>>       URN Syntax requirements ([RFC2141]).
>>
>>       The individual URNs shall be assigned by DVB through the process
>>       of development of DVB standards.
>>
>>    Relevant ancillary documentation:
>>
>>       None
>>
>>    Identifier uniqueness considerations:
>>
>>       DVB shall establish unique identifiers as appropriate.
>>
>>
>>
>>
>> Heuer                        Informational                      [Page 2]
>> 
>> RFC XXXX                 URN Namespace for DVB           September 2005
>>
>>
>>       Uniqueness is guaranteed as long as the assigned string is never
>>       reassigned for a given standard name and that the standard name is
>>       never reassigned.
>>
>>    Identifier persistence considerations:
>>
>>       DVB is committed to maintaining the accessibility and persistence
>>       of all resources that are officially assigned URNs by the
>>       organization.
>>
>>       Persistence of identifiers is dependent upon suitable delegation
>>       of resolution at the level of "standard name"(s), and persistence
>>       of standard name assignment.
>>
>>    Process of identifier assignment:
>>
>>       Assignment is limited to the owner and those authorities that are
>>       specifically designated by the owner.  DVB may designate portions
>>       of its namespace for assignment by other parties.
>>
>>    Process of identifier resolution:
>>
>>       The owner will develop and maintain "URN catalogs" that map all
>>       assigned URNs to Uniform Resource Locators (URLs) specifically to
>>       enable Web-based resolution of named resources.  In the future an
>>       interactive online resolution system may be developed to automate
>>       this process.
>>
>>       The owner will authorize additional resolution services as
>>       appropriate.
>>
>>    Rules for Lexical Equivalence:
>>
>>       The "standard name" is case-insensitive.  Thus, the portion of the
>>       URN:
>>
>>          urn:dvb:{standard name}:
>>
>>       is case-insensitive for matches.  The remainder of the identifier
>>       must be considered case-sensitive.
>>
>>    Conformance with URN Syntax:
>>
>>       No special considerations.
>>
>>    Validation mechanism:
>>
>>       None specified.  The owner will develop and maintain URN catalogs.
>>
>>
>>
>> Heuer                        Informational                      [Page 3]
>> 
>> RFC XXXX                 URN Namespace for DVB           September 2005
>>
>>
>>       The presence of a URN in a catalog indicates that it is valid.
>>
>>    Scope:
>>
>>       Global
>>
>> 3.  Examples
>>
>>    The following examples are not guaranteed to be real.  They are
>>    presented for pedagogical reasons only.
>>
>>       urn:dvb:ipdc:esg:2005
>>       urn:dvb:ipdc:cs:ZappingTypeCS:2001
>>
>> 4.  Namespace Considerations
>>
>>    URN assignment procedures:
>>
>>       The individual  URNs shall  be assigned  through the  process of
>>       development of DVB standards  by the Digital Video  Broadcasting
>>       Project (DVB).
>>
>>    URN resolution/delegation:
>>        The resolution and delegation  shall be determined through  the
>>        process  of  development   of DVB   standards  by   the Digital
>>        Video Broadcasting Project (DVB).
>>
>>    Type of resources to be identified:
>>
>>       Types of resources to be identified include XML schema definition
>>       files, classification schemes, identification systems.
>>
>>    Type of services to be supported:
>>
>>       Types of services supported include controlled term lookup in
>>       classification schemes, resolution of ids in identification
>>       systems.
>>
>>
>>
>>
>>
>>
>>
>>
>> Heuer                        Informational                      [Page 4]
>> 
>> RFC XXXX                 URN Namespace for DVB           September 2005
>>
>>
>> 5.  Community Considerations
>>
>>    Open assignment and use of identifiers within the namespace:
>>
>>       With on-going development of DVB standards, DVB shall establish
>>       requirements for assignment and use of identifiers within DVB
>>       namespace.
>>
>>    Open operation of resolution servers for the namespace (server):
>>
>>       With on-going development of DVB standards, DVB shall establish
>>       requirements and seek candidates for operating resolution servers
>>       as appropriate.
>>
>>    Creation of software that can meaningfully resolve and access
>>    services for the namespace (client):
>>
>>       With on-going development of DVB standards, DVB members will
>> develop
>>       software implementations of its standards.
>>
>> 6.  Security Considerations
>>
>>    There are no additional security considerations other than those
>>    normally associated with the use and resolution of URNs in general.
>>
>> 7.  IANA Considerations
>>
>>    The IANA has registered formal URN namespace XXX, to DVB within the
>>    IANA registry of URN NIDs.
>>
>> 8.  Normative References
>>
>>    [RFC2141] Moats, R., "URN Syntax", RFC 2141, May 1997.
>>
>> 9.  Author's Address
>>
>>    Peter MacAvock
>>    DVB Digital Video Broadcasting
>>    CH-1218 Grand Saconnex
>>    Switzerland
>>
>>    Phone: +41 22 717 2717
>>    EMail: [email-masked]
>>
>>
>>
>>
>> Heuer                        Informational                      [Page 5]
>> 
>> RFC XXXX                 URN Namespace for DVB           September 2005
>>
>>
>> 10.  Full Copyright Statement
>>
>>    Copyright (C) The Internet Society (2003).  All Rights Reserved.
>>
>>    This document and translations of it may be copied and furnished to
>>    others, and derivative works that comment on or otherwise explain it
>>    or assist in its implementation may be prepared, copied, published
>>    and distributed, in whole or in part, without restriction of any
>>    kind, provided that the above copyright notice and this paragraph are
>>    included on all such copies and derivative works.  However, this
>>    document itself may not be modified in any way, such as by removing
>>    the copyright notice or references to the Internet Society or other
>>    Internet organizations, except as needed for the purpose of
>>    developing Internet standards in which case the procedures for
>>    copyrights defined in the Internet Standards process must be
>>    followed, or as required to translate it into languages other than
>>    English.
>>
>>    The limited permissions granted above are perpetual and will not be
>>    revoked by the Internet Society or its successors or assignees.
>>
>>    This document and the information contained herein is provided on an
>>    "AS IS" basis and THE INTERNET SOCIETY AND THE INTERNET ENGINEERING
>>    TASK FORCE DISCLAIMS ALL WARRANTIES, EXPRESS OR IMPLIED, INCLUDING
>>    BUT NOT LIMITED TO ANY WARRANTY THAT THE USE OF THE INFORMATION
>>    HEREIN WILL NOT INFRINGE ANY RIGHTS OR ANY IMPLIED WARRANTIES OF
>>    MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
>>
>> Acknowledgement
>>
>>    Funding for the RFC Editor function is currently provided by the
>>    Internet Society.
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>> Heuer                        Informational                      [Page 6]
>> 
>
>